linux-lts-backport-oneiric: 3.0.0-21.35~lucid1 -proposed tracker

Bug #1005456 reported by Brad Figg on 2012-05-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Brad Figg
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-oneiric (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-21.35~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 28. May 2012 09:47 UTC
kernel-stable-Certification-testing-end:Monday, 28. May 2012 10:17 UTC
kernel-stable-Prepare-package-end:Monday, 28. May 2012 16:31 UTC
kernel-stable-Promote-to-proposed-start:Monday, 28. May 2012 16:31 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 30. May 2012 14:16 UTC
kernel-stable-Verification-testing-start:Wednesday, 30. May 2012 15:18 UTC
kernel-stable-Security-signoff-start:Wednesday, 30. May 2012 15:47 UTC
kernel-stable-Verification-testing-end:Wednesday, 30. May 2012 15:47 UTC
kernel-stable-Regression-testing-start:Wednesday, 30. May 2012 15:47 UTC
kernel-stable-Security-signoff-end:Thursday, 31. May 2012 21:46 UTC
kernel-stable-Promote-to-updates-start:Friday, 01. June 2012 19:32 UTC
kernel-stable-Regression-testing-end:Friday, 01. June 2012 19:32 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 12. June 2012 14:48 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 12. June 2012 14:48 UTC

Brad Figg (brad-figg) on 2012-05-28
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-oneiric (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-05-28
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2012-05-29
description: updated
Download full text (13.5 KiB)

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
block-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
block-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
block-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
block-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
crypto-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
crypto-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
crypto-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
crypto-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
crypto-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fat-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fat-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fat-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
fat-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fat-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fb-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fb-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fb-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
fb-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fb-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
floppy-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
floppy-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
floppy-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
floppy-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
floppy-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-core-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-core-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-core-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-core-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-core-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-secondary-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-secondary-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-secondary-modules-3.0.0-21-generic-pae-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-secondary-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
fs-secondary-modules-3.0.0-21-virtual-di 3.0.0-21.35~lucid1 - is in universe instead of main
input-modules-3.0.0-21-generic-di 3.0.0-21.35~lucid...

description: updated
Brad Figg (brad-figg) on 2012-05-30
description: updated
Brad Figg (brad-figg) on 2012-05-30
description: updated
Brad Figg (brad-figg) on 2012-05-30
description: updated
Colin Watson (cjwatson) wrote :

I've fixed the overrides, pending publication.

Brad Figg (brad-figg) on 2012-05-30
description: updated
Brad Figg (brad-figg) on 2012-05-30
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-31
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-06-01
description: updated
Adam Conrad (adconrad) wrote :

--- Releasing linux-lts-backport-oneiric ---
Proposed: 3.0.0-21.35~lucid1
Security: 3.0.0-20.34~lucid1
Updates: 3.0.0-20.34~lucid1
Copied to lucid-updates
Copied to lucid-security
--- Releasing linux-meta-lts-backport-oneiric ---
Proposed: 3.0.0.21.9
Security: 3.0.0.20.8
Updates: 3.0.0.20.8
Copied to lucid-updates
Copied to lucid-security

Launchpad Janitor (janitor) wrote :
Download full text (8.8 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-21.35~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-21.35~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1005456

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: async_populate_rootfs: fix build warnings
    - LP: #1003417

  [ Tim Gardner ]

  * Revert "SAUCE: ite-cir: postpone ISR registration"
    - LP: #1002880
  * [Config] perarch and indep tools builds need separate build directories

  [ Upstream Kernel Changes ]

  * Revert "autofs: work around unhappy compat problem on x86-64"
    - LP: #996109
  * Revert "usb: Fix build error due to dma_mask is not at pdev_archdata at
    ARM"
    - LP: #996109
  * KVM: unmap pages from the iommu when slots are removed
    - LP: #987569
    - CVE-2012-2121
  * NFSv4: include bitmap in nfsv4 get acl data
    - LP: #893147
    - CVE-2011-4131
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
  * nfs: Enclose hostname in brackets when needed in nfs_do_root_mount
    - LP: #996109
  * NFSv4: Ensure that the LOCK code sets exception->inode
    - LP: #996109
  * NFSv4: Ensure that we check lock exclusive/shared type against open
    modes
    - LP: #996109
  * x86, apic: APIC code touches invalid MSR on P5 class machines
    - LP: #996109
  * xen: correctly check for pending events when restoring irq flags
    - LP: #996109
  * xen/smp: Fix crash when booting with ACPI hotplug CPUs.
    - LP: #996109
  * ASoC: dapm: Ensure power gets managed for line widgets
    - LP: #996109
  * dmaengine: at_hdmac: remove clear-on-read in atc_dostart()
    - LP: #996109
  * hwmon: fam15h_power: fix bogus values with current BIOSes
    - LP: #996109
  * hwmon: (fam15h_power) Fix pci_device_id array
    - LP: #996109
  * drm/i915: handle input/output sdvo timings separately in mode_set
    - LP: #996109
  * drm/i915: fix integer overflow in i915_gem_execbuffer2()
    - LP: #996109
  * drm/i915: fix integer overflow in i915_gem_do_execbuffer()
    - LP: #996109
  * nl80211: ensure interface is up in various APIs
    - LP: #996109
  * EHCI: fix criterion for resuming the root hub
    - LP: #996109
  * brcm80211: smac: resume transmit fifo upon receiving frames
    - LP: #996109
  * Fix modpost failures in fedora 17
    - LP: #996109
  * mmc: unbreak sdhci-esdhc-imx on i.MX25
    - LP: #996109
  * nfsd: fix b0rken error value for setattr on read-only mount
    - LP: #996109
  * nfsd: fix error values returned by nfsd4_lockt() when nfsd_open() fails
    - LP: #996109
  * USB: cdc-wdm: fix race leading leading to memory corruption
    - LP: #996109
  * USB: EHCI: fix crash during suspend on ASUS computers
    - LP: #996109
  * USB: gadget: storage gadgets send wrong error code for unknown commands
    - LP: #996109
  * usb gadget: uvc: uvc_request_data::length field must be signed
    - LP: #996109
  * pipes: add a "packetized pipe" mode for writing
    - LP: #996109
  * autofs: make the autofsv5 packet file descriptor use a packetized pipe
    - LP: #...

Read more...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Brad Figg (brad-figg) on 2014-10-10
Changed in linux-lts-backport-oneiric (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers